Manual d'usuari

# Índex

Els Atributs i les Consultes Són una característica clau del Haiku. Mentre els atributs són útils per sí mateixos, per mostrar informació adicional d'un fitxer, les consultes en canvi, cal que siguin indexades. Això les sitúa a una taula de cerca, el que fa que les consultes siguin molt ràpides.
L'índex és una part del sistema i es conserva separadament per a cada volum i partició.

## Ordres d'indexació al Terminal

Hi ha diverses ordres per gestionar l'índex:

- lsindex - Mostra els atributs indexats del volum o partició actuals.
  Aquests són els atributs que s'indexen per omissió:

     ~ ->lsindex
    BEOS:APP_SIG
    MAIL:account
    MAIL:cc
    MAIL:chain
    MAIL:draft
    MAIL:flags
    MAIL:from
    MAIL:name
    MAIL:pending_chain
    MAIL:priority
    MAIL:reply
    MAIL:status
    MAIL:subject
    MAIL:thread
    MAIL:to
    MAIL:when
    META:address
    META:city
    META:company
    META:country
    META:email
    META:fax
    META:group
    META:hphone
    META:name
    META:nickname
    META:state
    META:url
    META:wphone
    META:zip
    _signature
    _status
    _trk/qrylastchange
    _trk/recentQuery
    be:deskbar_item_status
    last_modified
    name
    size

- mkindex - Afegeix un atribut a l'índex del volum o partició.

    Usage: mkindex [options] <attribute>
    Creates a new index for the specified attribute.

      -d, --volume=PATH     a path on the volume to which the index will be added,
                            defaults to current volume.
      -t, --type=TYPE       the type of the attribute being indexed.  One of "int",
                            "llong", "string", "float", or "double".
                            Defaults to "string".
          --copy-from       path to volume to copy the indexes from.
      -v, --verbose         print information about the index being created

Només els nous fitxers amb aquest atribut s'afegiran automàticament a l'índex!
Els fitxers anteriors s'han d'afegir de forma manual copiant-los i suprimint després els originals. També podeu utilitzar l'ordre reindex.

- reindex - Posa els atributs dels fitxers existents al nou indexats del volum o partició.

    Usage: reindex [-rvf] attr <list of filenames and/or directories>
      -r    enter directories recursively
      -v    verbose output
      -f    create/update all indices from the source volume,
            "attr" is the path to the source volume

- rmindex - Suprimeix un atribut de l'índex d'un volum o partició

    Usage: rmindex [OPTION]... INDEX_NAME

    Removes the index named INDEX_NAME from a disk volume.  Once this has been
    done, it will no longer be possible to use the query system to search for
    files with the INDEX_NAME attribute.

      -d, --volume=PATH     a path on the volume from which the index will be
                             removed
      -h, --help            display this help and exit
      -p, --pattern         INDEX_NAME is a pattern
      -v, --verbose         print information about the index being removed

    INDEX_NAME is the name of a file attribute.

    If no volume is specified, the volume of the current directory is assumed.